ChartDirector Ver 4.1 (PHP Edition Edition)

BaseMeter.setTickLength

Usage

setTickLength(majorLen [, minorLen [, microLen ]])

Description

Set the lengths of the ticks.

Arguments

Argument | Default | Description
--- | --- | ---

majorLen

(Mandatory)

The length of the major ticks in pixels. A positive value means the tick is at the 'outward' direction of the meter. A negative value means the tick is at the 'inward' direction.
For an angular meter, the default is -10 (10 pixels at the inward direction). For a horizontal linear meter, the default is the same height as the meter scale region in the inward direction. For a vertical linear meter, the default is the same width as the meter scale region in the inward direction.

minorLen | -7fffffff | The length of the minor ticks in pixels. The default is 60% of the length of the major ticks.
microLen | -7fffffff | The length of the micro ticks in pixels. The default is 50% of the length of the minor ticks.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.